<?php
class Escolaridade
{
    private $db;

    public function __construct()
    {
        $this->db = new Database();
    }

    public function lerEscolaridades()
    {
        $this->db->query("SELECT * FROM escolaridades WHERE removido IS NULL ORDER BY descricao");
        return $this->db->resultados();
    }

    public function armazenar($dados)
    {
        $this->db->query("INSERT INTO escolaridades (descricao, id_usuario) VALUES (:descricao, :id_usuario)");
        $this->db->bind(':descricao', strtoupper($dados['descricao']));
        $this->db->bind(':id_usuario', $dados['id_usuario']);
        return $this->db->execute();
    }

    public function atualizar($dados)
    {
        $this->db->query("UPDATE escolaridades SET descricao = :descricao, alterado = NOW() WHERE id_escolaridade = :id_escolaridade");
        $this->db->bind(':descricao', strtoupper($dados['descricao']));
        $this->db->bind(':id_escolaridade', $dados['id_escolaridade']);
        return $this->db->execute();
    }

    public function lerEscolaridadePorId($id)
    {
        $this->db->query("SELECT * FROM escolaridades WHERE id_escolaridade = :id_escolaridade LIMIT 1");
        $this->db->bind(':id_escolaridade', $id);
        return $this->db->single();
    }

    public function remover($id)
    {
        // Pode fazer remoção lógica, por exemplo
        $this->db->query("UPDATE escolaridades SET removido = NOW() WHERE id_escolaridade = :id_escolaridade");
        $this->db->bind(':id_escolaridade', $id);
        return $this->db->execute();
    }
 



    
}
